GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
      Symbols, Prices & Networks
        List SymbolsGet Symbol DetailsList PricesFX RateGet Assets for NetworkGet Network
      Tickers & Order Books
      Candlestick Data
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Get Symbol Details

TradingMarket DataGet Symbol Details

Get Symbol Details

GEThttps://api.gemini.com/v1/symbols/details/{symbol}

This endpoint retrieves extra detail on supported symbols, such as minimum order size, tick size, quote increment and more.

GETv1/symbols/details/BTCUSD
curl --request GET \
  --url https://api.gemini.com/v1/symbols/details/BTCUSD

Path Parameters

symbolstring·required
Trading pair symbol BTCUSD, etc. See symbols and minimums.

Responses

Instrument responses examples

symbolstring
The requested symbol. See [**symbols and minimums**](/market-data/symbols-and-minimums#all-supported-symbols)Example: BTCUSD
base_currencystring
CCY1 or the top currency. (i.e `BTC` in `BTCUSD`)Example: BTC
quote_currencystring
CCY2 or the quote currency. (i.e `USD` in `BTCUSD`)Example: USD
tick_sizenumber (decimal)
The number of decimal places in the `base_currency`. (i.e `1e-8`)Example: 1e-8
quote_incrementnumber (decimal)
The number of decimal places in the `quote_currency` (i.e `0.01`)Example: 0.01
min_order_sizestring
The minimum order size in `base_currency` units (i.e `0.00001`)Example: 0.00001
statusstring
Status of the current order book. Can be `open`, `closed`, `cancel_only`, `post_only`, `limit_only`.Example: open
wrap_enabledboolean
When `True`, symbol can be wrapped using this endpoint: `POST https://api.gemini.com/v1/wrap/:symbol`Example: false
product_typestring
Instrument type `spot` / `swap` -- where `swap` signifies `perpetual swap`.Example: spot
contract_typestring
`vanilla` / `linear` / `inverse` where `vanilla` is for spot while `linear` is for perpetual swap and `inverse` is a special case perpetual swap where the perpetual contract will be settled in base currency.Example: vanilla
contract_price_currencystring
CCY2 or the quote currency for spot instrument (i.e. `USD` in `BTCUSD`) Or collateral currency of the contract in case of perpetual swap instrument.Example: USD
Example Responses
{
  "symbol": "BTCUSD",
  "base_currency": "BTC",
  "quote_currency": "USD",
  "tick_size": 1e-8,
  "quote_increment": 0.01,
  "min_order_size": "0.00001",
  "status": "open",
  "wrap_enabled": false,
  "product_type": "spot",
  "contract_type": "vanilla",
  "contract_price_currency": "USD"
}
PreviousList SymbolsNextGet Ticker